<?php
$_db_migration_to = '27.08'; // 8.1.4
if (!isset($migrations) || !is_object($migrations))
	die("This file cannot be executed directly");
$migrations->CheckValid($_db_migration_to);
//===========================================================================================



$migrations->Run('01_telemetry_payload_data.php', <<<'DB_UPDATE_FILE'
<?php

/** @var $migrations \Claromentis\Setup\SetupFacade */
$db = $migrations->GetDb();
$table_description = array(
	'id'	=>	"IDENTITY",
	'created'	=>	"INT_DATE",
	'payload' => "CLOB",
	'is_sent' => "BOOL"
);

$db->CreateTable('telemetry_payloads', $table_description, true);

DB_UPDATE_FILE
);


//===========================================================================================
$migrations->SetVersion('27.08');
